Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1249364 - Lenovo g50-30 with Conexant CX20751/2 audio codec requires the inv_dmic_split hint to be set for the internal mic to work
Summary: Lenovo g50-30 with Conexant CX20751/2 audio codec requires the inv_dmic_split...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-02 01:22 UTC by Alexander Ploumistos
Modified: 2018-10-30 17:28 UTC (History)
9 users (show)

Fixed In Version: kernel-4.18.14-200.fc28 kernel-4.18.15-100.fc27 kernel-4.18.14-300.fc29
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-18 04:31:40 UTC
Type: Bug


Attachments (Terms of Use)
ALSA info (28.11 KB, text/plain)
2015-08-02 01:22 UTC, Alexander Ploumistos
no flags Details
System logs without retasking (102.65 KB, text/x-vhdl)
2018-10-09 22:08 UTC, Alexander Ploumistos
no flags Details
System logs with retasking (101.91 KB, text/x-vhdl)
2018-10-09 22:09 UTC, Alexander Ploumistos
no flags Details
System logs without retasking (111.60 KB, text/x-vhdl)
2018-10-11 06:08 UTC, Alexander Ploumistos
no flags Details
System logs with retasking (111.75 KB, text/x-vhdl)
2018-10-11 06:09 UTC, Alexander Ploumistos
no flags Details
4.19.0-0.rc7.git3.1 system log (without retasking) (111.71 KB, text/x-vhdl)
2018-10-11 19:23 UTC, Alexander Ploumistos
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1002978 0 None None None Never

Description Alexander Ploumistos 2015-08-02 01:22:44 UTC
Created attachment 1058427 [details]
ALSA info

This laptop is the gift that keeps on giving...

I could not use the internal microphone in Google Hangouts or Skype. If I yelled at it, a slight whisper might be heard. In Audacity it recorded sounds in stereo just fine. It would only work in the other programs if I set the recording channels -left and right- at significantly different levels in pavucontrol.

After a lot of reading, searching and tests, I discovered that the laptop has an inverted internal microphone (whatever that means) and that perhaps sending the parser the inv_dmic_split hint would solve my problem. I used hdajackretask to enable the hint, rebooted and problem apparently solved. Audacity now records a single channel.

I am attaching the output of the alsa-info.sh script with the workaround enabled in case someone upstream cares to take a look at it.

Btw, as you can see in the attachment, the file that hdajackretask created in /etc/modprobe.d/ contains the following line:

snd_hda_intel: patch=hda-jack-retask.fw,hda-jack-retask.fw,hda-jack-retask.fw,hda-jack-retask.fw

where the pseudo-firmware file has this:

# cat /usr/lib/firmware/hda-jack-retask.fw
[codec]
0x14f1510f 0x17aa3809 0

[pincfg]
0x16 0x04211040
0x17 0x94170110
0x18 0x40f001f0
0x19 0x04a11030
0x1a 0x94a70120

[hints]
inv_dmic_split=yes

Is this repetition normal or should another bug report be filed?

Oh and on a side note, pavumeter does not display signal levels when something is playing on this machine (with or without the workaround).

Comment 1 247395263 2015-09-11 03:16:28 UTC
Can you fix the bug?

Comment 2 Justin M. Forbes 2015-10-20 19:36:57 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.

Comment 3 Alexander Ploumistos 2015-10-30 23:33:13 UTC
(In reply to Justin M. Forbes from comment #2)
> Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.

It's still present.

> If you have moved on to Fedora 23, and are still experiencing this issue,
> please change the version to Fedora 23.

Shame on me, I tested TC6 and TC9, but I had forgotten all about this bug so I didn't check. I'll let you know in a week.

Comment 4 Alexander Ploumistos 2015-11-08 00:30:35 UTC
Tested on Fedora 23 with kernels 4.2.3-300 and 4.2.5-300, same deal - no fix yet.

Comment 5 Laura Abbott 2016-09-23 19:44:56 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 6 Alexander Ploumistos 2016-09-24 13:00:26 UTC
The bug is still present in F24, with kernel 4.7.4-200.fc24.

Comment 7 Justin M. Forbes 2017-04-11 14:55:33 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 8 Justin M. Forbes 2017-04-28 17:16:13 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 9 Alexander Ploumistos 2017-04-28 23:00:05 UTC
Apologies for the delay.

Just tested 4.10.12-200.fc25.x86_64, it still needs the retasking hack.

Comment 10 Fedora End Of Life 2017-07-25 19:04:47 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-11-16 19:36:50 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Alexander Ploumistos 2017-11-16 19:59:41 UTC
No change with 4.13.12-300.fc27.

Comment 13 Laura Abbott 2018-02-20 19:54:38 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 14 Alexander Ploumistos 2018-02-20 20:32:26 UTC
Running 4.15.3-300.fc27.x86_64, retasking is still required.

Comment 15 Justin M. Forbes 2018-07-23 15:21:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 16 Alexander Ploumistos 2018-07-23 18:08:04 UTC
This laptop is now running kernel-4.17.7-200.fc28, retasking is still required.

Comment 17 Laura Abbott 2018-10-01 21:29:51 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 18 Alexander Ploumistos 2018-10-06 12:34:26 UTC
Hi,

currently on 4.18.12-200.fc28, no change.

Comment 19 Jeremy Cline 2018-10-08 18:47:16 UTC
Hey Alexander,

Would you mind testing https://koji.fedoraproject.org/koji/taskinfo?taskID=30132198 when it finishes building? I took a stab at adding the quirk, but it'd be great if you could check to make sure it works before I send it upstream. Thanks!

Comment 20 Alexander Ploumistos 2018-10-09 06:43:26 UTC
Hello Jeremy,

I've just tested it and it doesn't work without retasking. Do you need any additional information to help you figure out what could be wrong?

Comment 21 Jeremy Cline 2018-10-09 20:55:27 UTC
Hmm. Can you try https://koji.fedoraproject.org/koji/taskinfo?taskID=30149762, boot with snd.debug=2 on the command line and attach the output of "journalctl -k --no-hostname"? In theory that should have verbose debug logs.

Comment 22 Alexander Ploumistos 2018-10-09 22:08:34 UTC
Created attachment 1492276 [details]
System logs without retasking

Comment 23 Alexander Ploumistos 2018-10-09 22:09:13 UTC
Created attachment 1492277 [details]
System logs with retasking

Comment 24 Alexander Ploumistos 2018-10-09 22:11:10 UTC
Didn't work either. I've attached the 4.19.0-0.rc7.git1.1.bz1249364 logs without and with retasking, hope you can get something useful from them.

Comment 25 Jeremy Cline 2018-10-10 21:26:40 UTC
Okay, it seems like that doesn't actually make it print debugging, so I did more digging and I *think* the way to enable them is by adding:

" snd_hda_codec_conexant.dyndbg=+pf snd_hda_codec.dyndbg=+pf" to the kernel boot parameters when you boot that kernel. Sorry :(

Comment 26 Alexander Ploumistos 2018-10-11 06:08:15 UTC
Created attachment 1492773 [details]
System logs without retasking

Comment 27 Alexander Ploumistos 2018-10-11 06:09:14 UTC
Created attachment 1492774 [details]
System logs with retasking

Comment 28 Alexander Ploumistos 2018-10-11 06:16:02 UTC
(In reply to Jeremy Cline from comment #25)
> Okay, it seems like that doesn't actually make it print debugging, so I did
> more digging and I *think* the way to enable them is by adding:
> 
> " snd_hda_codec_conexant.dyndbg=+pf snd_hda_codec.dyndbg=+pf" to the kernel
> boot parameters when you boot that kernel. Sorry :(

No worries, this time there is considerably more audio-related output.

Comment 29 Jeremy Cline 2018-10-11 18:12:01 UTC
Ah, that's perfect. Can you try https://koji.fedoraproject.org/koji/taskinfo?taskID=30184529? If it doesn't work, please upload logs with the same command line parameters and I'll do some more head-scratching. If it _does_ work, check to make sure the mic mute LED (if the laptop has one) still works.

Comment 30 Alexander Ploumistos 2018-10-11 19:23:20 UTC
Created attachment 1493025 [details]
4.19.0-0.rc7.git3.1 system log (without retasking)

Well done, this time it works!
I am attaching the system log just in case.
Will you backport the fix to the 4.18 line as well?

Comment 31 Jeremy Cline 2018-10-11 19:31:15 UTC
Yay, thanks for sticking with me!

I'll submit it upstream and CC it for stable releases. Once the maintainer takes it I'll put into the Fedora stable builds. You'll know it's in a build when the updates system comments on this bug.

As long as you're fine with me including your name and email in the patch, I can credit you by adding Reported-by and Tested-by tags[0] to the patch.

[0] https://www.kernel.org/doc/html/latest/process/submitting-patches.html#using-reported-by-tested-by-reviewed-by-suggested-by-and-fixes

Comment 32 Alexander Ploumistos 2018-10-11 19:43:22 UTC
I almost can't believe that this bug will be closed soon(ish)!

Sure, you can go ahead and tag me.

Thanks again!

Comment 33 Fedora Update System 2018-10-15 22:11:49 UTC
kernel-headers-4.18.14-300.fc29 kernel-4.18.14-300.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-731c2e5ced

Comment 34 Fedora Update System 2018-10-15 22:12:45 UTC
kernel-headers-4.18.14-200.fc28 kernel-4.18.14-200.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ef4800cb67

Comment 35 Fedora Update System 2018-10-15 22:13:39 UTC
kernel-headers-4.18.14-100.fc27 kernel-4.18.14-100.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4bb184a00

Comment 36 Fedora Update System 2018-10-16 11:57:40 UTC
kernel-4.18.14-100.fc27, kernel-headers-4.18.14-100.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4bb184a00

Comment 37 Fedora Update System 2018-10-16 12:38:39 UTC
kernel-4.18.14-200.fc28, kernel-headers-4.18.14-200.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ef4800cb67

Comment 38 Fedora Update System 2018-10-16 15:52:40 UTC
kernel-4.18.14-300.fc29, kernel-headers-4.18.14-300.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-731c2e5ced

Comment 39 Fedora Update System 2018-10-18 04:31:40 UTC
kernel-4.18.14-200.fc28, kernel-headers-4.18.14-200.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2018-10-19 14:42:05 UTC
kernel-headers-4.18.15-100.fc27 kernel-tools-4.18.15-100.fc27 kernel-4.18.15-100.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce1ebd480a

Comment 41 Fedora Update System 2018-10-21 00:05:19 UTC
kernel-4.18.15-100.fc27, kernel-headers-4.18.15-100.fc27, kernel-tools-4.18.15-100.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce1ebd480a

Comment 42 Ozkan Sezer 2018-10-22 08:25:43 UTC
Patch for this issue is _not_ included in f27 builds of the kernel.

Comment 43 Fedora Update System 2018-10-23 21:24:34 UTC
kernel-4.18.15-100.fc27, kernel-headers-4.18.15-100.fc27, kernel-tools-4.18.15-100.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2018-10-30 17:28:30 UTC
kernel-4.18.14-300.fc29, kernel-headers-4.18.14-300.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.